<?php
/*
Plugin Name: Woocommerce eShipper Shipping Calculator
Plugin URI: http://www.eShipper.com
Description: This Plugin is for calculatiing the Shipping Cost of products for eShipper Courier.
Author: Eshippers
Version: 3.0.0
Author URI: http://www.eShipper.com
*/

if (!defined('ABSPATH'))
	{
	exit; // Exit if accessed directly
	}

// checking woocommerce plugins is active or not

include_once (ABSPATH . 'wp-admin/includes/plugin.php');

if (!function_exists('curl_version'))
	{
	return FALSE; //Exit if php CURL is not active
	add_action('admin_notices', 'curlerror_admin_notice');
	}

function curlerror_admin_notice()
	{
	echo '<div class="error"><p>';
	_e('PHP CURL is not enabled.Woocommerce eShipper Shipping Plugin Will not work.', 'woocommerce-eShipper');
	echo '</p></div>';
	}

if (!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))))
	{
	return FALSE; //Exit if Woocommerce plugins is not active
	}
  else
	{
	/** defining globals   */
	define('eShipper_PLUGIN_URL', plugin_dir_url(__FILE__));
	define('eShipper_PLUGIN_URI', plugin_dir_path(__FILE__));

	// Adding settings page links meta data to plugins(if the plugin itself is active)

	if (in_array('woo_eShipper/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
		{
		add_filter('plugin_action_links_' . plugin_basename(__FILE__) , 'eShipper_plugin_action_links');
		function eShipper_plugin_action_links($links)
			{
			return array_merge(array(
				'settings' => '<a href="' . get_bloginfo('wpurl') . '/wp-admin/admin.php?page=wc-settings&tab=shipping&section=wc_eShipper">Settings</a>'
			) , $links);
			}
		}

	require_once eShipper_PLUGIN_URI . 'eShipper-settings.php';

	}
add_action('admin_head', 'my_es_custom_fonts');

function my_es_custom_fonts() {
  echo '<style>
   div#message {
    display: none;
}
  </style>';
}
// adding resources for admin side

function load_eShipper_resources()
	{
	wp_enqueue_script('eShipper-admin-js', eShipper_PLUGIN_URL . '/assets/eShipper.js', array(
		'jquery'
	) , "1.0.0", TRUE);
	wp_enqueue_style('eShipper-admin-css', eShipper_PLUGIN_URL . '/assets/eShipper-style.css',array(),$ver = 2.0);
	}

add_action('admin_enqueue_scripts', 'load_eShipper_resources');
add_filter('woocommerce_cart_shipping_method_full_label', 'remove_shipping_label', 10, 2);

function remove_shipping_label($label, $method)
	{
	$new_label = preg_replace('/:/', '', $label);
	return $new_label;
	}

function eShipper_region_db_tables()
	{
	$sqlfilepath = eShipper_PLUGIN_URI . 'assets/region.sql'; // define the path for the .sql file
	$sqlfilecontent = file_get_contents($sqlfilepath);
	if (!empty($sqlfilecontent))
		{
		$queries = explode(";", $sqlfilecontent);
		if (is_array($queries) && sizeof($queries))
			{
			global $wpdb;
			foreach($queries as $query)
				{
				$wpdb->query($query);
				}
			}
		}
	}

register_activation_hook(__FILE__, 'eShipper_region_db_tables');

function get_eShipper_subregion()
	{
	global $wpdb;
	$netprcl_country = $_POST['netprcl_country'];
	$sql = "select state_subdivision_code,state_subdivision_name from wpnp_states_subdivisions where country_code_char2 = '$netprcl_country'";
	$result = $wpdb->get_results($sql, ARRAY_A);
	$htmlreturn = '';
	foreach($result as $single_result)
		{
		$setstate = explode("-", $single_result['state_subdivision_code']);
		$optnval = end($setstate);
		$htmlreturn.= '<option value="' . $optnval . '">' . $single_result['state_subdivision_name'] . '</option>';
		}

	$htmlreturn = json_encode($htmlreturn);
	echo $htmlreturn;
	die();
	}

add_action('wp_ajax_nopriv_get_eShipper_subregion', 'get_eShipper_subregion');
add_action('wp_ajax_get_eShipper_subregion', 'get_eShipper_subregion');

function get_eShipper_subregion_onload()
	{
	global $wpdb;
	$netprcl_country = $_POST['netprcl_country'];
	$sql = "select state_subdivision_code,state_subdivision_name from wpnp_states_subdivisions where country_code_char2 = '$netprcl_country'";
	$result = $wpdb->get_results($sql, ARRAY_A);
	$htmlreturn = '';
	$woo_eShipper_stng = get_option('woocommerce_eShipper');
	$eShipper_selected_state = $woo_eShipper_stng->source_province;
	foreach($result as $single_result)
		{
		$setstate = explode("-", $single_result['state_subdivision_code']);
		$optnval = end($setstate);
		if ($optnval == $eShipper_selected_state)
			{
			$sltctnv = "selected='selected'";
			}
		  else
			{
			$sltctnv = "";
			}

		$htmlreturn.= '<option value="' . $optnval . '" ' . $sltctnv . '>' . $single_result['state_subdivision_name'] . '</option>';
		}

	$htmlreturn = json_encode($htmlreturn);
	echo $htmlreturn;
	die();
	}

add_action('wp_ajax_nopriv_get_eShipper_subregion_onload', 'get_eShipper_subregion_onload');
add_action('wp_ajax_get_eShipper_subregion_onload', 'get_eShipper_subregion_onload');